<template>
  <div
    class="card"
    :class="{
      'card--empty': isEmpty,
    }"
  >
    <div class="card-body" :class="cardBodyClass">
      <div
        v-if="isEmpty"
        class="card-empty-state d-flex justify-content-center align-items-center text-secondary"
      >
        <slot name="empty" />
      </div>
      <slot v-else />
    </div>
  </div>
</template>

<script setup lang="ts">
withDefaults(
  defineProps<{
    isEmpty?: boolean;
    cardBodyClass?: string;
  }>(),
  {
    isEmpty: false,
  }
);
</script>

<style scoped>
.card-empty-state {
  padding: 12rem 0;
}

.card {
  border: 0;
}

.card.card--empty {
  background-image: url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' rx='6' ry='6' stroke='%239A9DA4FF' stroke-width='4' stroke-dasharray='28' stroke-dashoffset='5' stroke-linecap='round'/%3e%3c/svg%3e");
  border-radius: 6px;
}
</style>
